Subject: Re: bug#43592: luit does not work
From: Maxim Cournoyer <[email-masked]>
To: luhux <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Jul 2022 15:09:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

luhux <[email-masked]> writes:

> I use luit to convert the encoding of MUD games, but I failed
>
> It uses the wrong path to find the data
>
> dev@tencent ~$ luit -encoding gbk
> /gnu/store/a4knixgswikbb4r7cw9srh07w0f9n0jw-luit-1.1.1/share/X11/locale/locale.alias:
> No such file or directory
> Warning: couldn't find charset data for locale gbk; using ISO 8859-1.

'gbk' doesn't appear to be a known alias, at least for the locale.alias
file provided by our libx11 package.

I believe the missing locale.alias file has now been fixed with:

modified   gnu/packages/xorg.scm
@@ -1548,8 +1548,14 @@ (define-public luit
        ;; should become obsolete with the next release.
        (patches (search-patches "luit-posix.patch"))))
     (build-system gnu-build-system)
+    (arguments
+     (list
+      #:configure-flags
+      #~(list (string-append "--with-localealiasfile="
+                             (search-input-file
+                              %build-inputs "share/X11/locale/locale.alias")))))
     (inputs
-     (list libfontenc))
+     (list libfontenc libx11))
     (native-inputs
      (list pkg-config))
     (home-page "https://www.x.org/wiki/")

Closing.

Thanks for the report!

Maxim